Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036882
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. PlatformminorN/A2017-09-18 18:222017-09-22 09:48
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision23baba607b96
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036882: There exists some old callouts in core still not refactored to SimpleCallout

DescriptionWith the fix for issue 0036559 the Platform callouts were refactored to SimpleCallout.

But there are still two callouts not refactored to SimpleCallout:

 - FixedValueExpressionCallout: used to evaluate the JS fixed expressions defined in the OBUIAPP_Parameter table. (For example it can be tested in the Parameter tab of the Widget window)
 
 - DefaultExpressionCallout: used to evaluate the JS filter expression of a selector (OBUISEL_Selector) and the default expression that can be added to a selector field (OBUISEL_Selector_Field).

Both callouts extend JSExpressionCallout which currently extends HttpSecureAppServlet (old implementation)
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036834 closedcaristu jre8: js defaults containing Dates fail 
depends on defect 0036599 closedalostale API change: platform callouts now implement SimpleCallout 
related to defect 0036559 closedalostale Old callouts should be refactored to implement SimpleCallout 

-  Notes
(0099209)
hgbot (developer)
2017-09-21 13:09

Repository: erp/devel/pi
Changeset: 23baba607b96309d0ae08f88d4b0fa936131bb56
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Sep 21 12:49:13 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/23baba607b96309d0ae08f88d4b0fa936131bb56 [^]

fixes issue 36882: JSExpressionCallout extends SimpleCallout

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/FixedValueExpressionCallout.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/JSExpressionCallout.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/DefaultExpressionCallout.java
---
(0099210)
hgbot (developer)
2017-09-21 13:10

Repository: erp/devel/api-checks
Changeset: 50fd6b3533596957929f3c8e1959cc8203721742
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Sep 21 12:34:42 2017 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/50fd6b3533596957929f3c8e1959cc8203721742 [^]

related to issue 36882: JSExpressionCallout now extends SimpleCallout

---
M java/reference/java.japi.gz
---
(0099449)
hudsonbot (developer)
2017-09-22 03:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/79f756868bba [^]
Maturity status: Test
(0099460)
alostale (developer)
2017-09-22 09:48

reviewed

- Issue History
Date Modified Username Field Change
2017-09-18 18:22 caristu New Issue
2017-09-18 18:22 caristu Assigned To => platform
2017-09-18 18:22 caristu Modules => Core
2017-09-18 18:22 caristu Triggers an Emergency Pack => No
2017-09-18 18:23 caristu Relationship added related to 0036559
2017-09-18 18:23 caristu Assigned To platform => caristu
2017-09-18 18:31 caristu Summary There are exists some old callouts still not refactored to SimpleCallout => There exists some old callouts in core still not refactored to SimpleCallout
2017-09-18 18:38 caristu Relationship added related to 0036883
2017-09-20 16:15 caristu Relationship added has duplicate 0036834
2017-09-20 16:15 caristu Relationship deleted has duplicate 0036834
2017-09-20 16:15 caristu Relationship added related to 0036834
2017-09-21 10:08 caristu Description Updated View Revisions
2017-09-21 10:09 caristu Relationship added depends on 0036599
2017-09-21 13:07 caristu Description Updated View Revisions
2017-09-21 13:09 hgbot Checkin
2017-09-21 13:09 hgbot Note Added: 0099209
2017-09-21 13:09 hgbot Status new => resolved
2017-09-21 13:09 hgbot Resolution open => fixed
2017-09-21 13:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/23baba607b96309d0ae08f88d4b0fa936131bb56 [^]
2017-09-21 13:10 hgbot Checkin
2017-09-21 13:10 hgbot Note Added: 0099210
2017-09-21 13:13 caristu Review Assigned To => alostale
2017-09-22 03:19 hudsonbot Checkin
2017-09-22 03:19 hudsonbot Note Added: 0099449
2017-09-22 09:48 alostale Note Added: 0099460
2017-09-22 09:48 alostale Status resolved => closed
2017-09-22 09:48 alostale Fixed in Version => 3.0PR17Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker